test: _LPCP_MESSAGE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _LPCP_MESSAGE Struct Reference

`#include <lpc.h>`

List of all members.

## Public Attributes

USHORT | Reserved1
USHORT | ZoneIndex
ULONG | Reserved
PETHREAD | RepliedToThread
PVOID | PortContext
PORT_MESSAGE | Request

## Member Data Documentation

LIST_ENTRY _LPCP_MESSAGE::Entry

| Definition at line 142 of file lpc.h. Referenced by LpcExitThread(), LpcpAllocateFromPortZone(), LpcpDeletePort(), LpcpDestroyPortQueue(), LpcpFreeDataInfoMessage(), LpcpSaveDataInfoMessage(), LpcRequestPort(), LpcRequestWaitReplyPort(), NtReplyWaitReceivePort(), NtReplyWaitReceivePortEx(), NtRequestPort(), and NtRequestWaitReplyPort().

SINGLE_LIST_ENTRY _LPCP_MESSAGE::FreeEntry

| Definition at line 144 of file lpc.h.

PVOID _LPCP_MESSAGE::PortContext

| Definition at line 153 of file lpc.h. Referenced by LpcRequestPort(), LpcRequestWaitReplyPort(), NtReplyWaitReceivePort(), NtReplyWaitReceivePortEx(), NtRequestPort(), and NtRequestWaitReplyPort().

PETHREAD _LPCP_MESSAGE::RepliedToThread

| Definition at line 151 of file lpc.h. Referenced by LpcExitThread(), LpcpAllocateFromPortZone(), LpcRequestPort(), LpcRequestWaitReplyPort(), NtRequestPort(), and NtRequestWaitReplyPort().

PORT_MESSAGE _LPCP_MESSAGE::Request

| Definition at line 154 of file lpc.h. Referenced by LpcpCopyRequestData(), LpcpDeletePort(), LpcpDestroyPortQueue(), LpcpFindDataInfoMessage(), LpcpFreeDataInfoMessage(), LpcpInitializePortZone(), LpcpSaveDataInfoMessage(), LpcRequestPort(), LpcRequestWaitReplyPort(), NtAcceptConnectPort(), NtReplyPort(), NtReplyWaitReceivePort(), NtReplyWaitReceivePortEx(), NtReplyWaitReplyPort(), NtRequestPort(), and NtRequestWaitReplyPort().

ULONG _LPCP_MESSAGE::Reserved

| Definition at line 150 of file lpc.h.

ULONG _LPCP_MESSAGE::Reserved0

| Definition at line 145 of file lpc.h. Referenced by LpcpInitializePortZone().

USHORT _LPCP_MESSAGE::Reserved1

| Definition at line 148 of file lpc.h.

USHORT _LPCP_MESSAGE::ZoneIndex

| Definition at line 149 of file lpc.h. Referenced by LpcpAllocateFromPortZone(), LpcpExtendPortZone(), and LpcpInitializePortZone().

The documentation for this struct was generated from the following file:

- lpc.h